#!/bin/sh
# This is /root/Startup/mountpool.sh - ETP 15th February 2020
#
# Shinobar's minidlna starter script is placed in /root/noob rather than init.d
# to permit the use of UUIDs which then in conjunction with a global environment variable
# allows for different media repositories to be easily targeted.
#
# The global environment variable is set by /etc/profile.d/dlna, the final line of which 
# O.O.T.B, targets the UUID of the vfat target USB2 repository stick.
#
# A utility to display and Change the DNLA Repository can be found at the bottom of the utility menu.
#
# 
sleep 10
mkdir -p /mnt/pool
mount -U $REPOSITORY /mnt/pool
sleep 1
. /root/noob/minidlna start &
